<?php // Do not delete these lines
if ('main_block_comments' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

if (!empty($post->post_password)) { // if there's a password
  if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
  ?>

  <p class="nocomments"><?php _e('Comments are protected.','dkret'); ?></p>

<?php return; }
}

$anzahl=count($comments);

/* This variable is for alternating comment background */
$oddcomment = 'alt_thecommentlist'; ?>

<?php if ($anzahl > 0) { ?>
  <h2 id="comments"><?php comments_number(__('No Comment','dkret'), __('1 Comment','dkret'), __('% Comments','dkret') )?><a href="#comment" title="<?php _e('Write a Comment','dkret'); ?>"><?php if (comments_open()) { ?>&#187;<?php } ?></a></h2>
<?php } ?>

<?php if (function_exists('paged_comments_print_pages') && $anzahl > 1) { ?>
  <?php if ($paged_comments->pager->num_pages() > 1) : ?>
  	<p class="comment-page-numbers"><?php paged_comments_print_pages(); ?></p>
	<?php endif; ?>
<?php } ?>

<div class="comments_div">
  <ol id="commentlist">
  
    <?php if ($comments) { ?>

     	<?php foreach ($comments as $comment) : ?>
      
        <li class="<?php if ($comment->comment_author_email == get_the_author_email()) echo 'author_comment'; else echo $oddcomment; ?> thecommentlist" id="comment-<?php comment_ID() ?>">
      
          <?php if (function_exists('gravatar')) {
            if ('' != get_comment_author_url()) {
              echo "<a href='$comment->comment_author_url' title='$comment->comment_author'>";
            } 
            else {
              echo "<a href='http://www.gravatar.com' title='www.gravatar.com'>";
            }
            echo "<img src='";
            if ('' == $comment->comment_type) {
              echo gravatar($comment->comment_author_email);
            } 
            elseif ( ('trackback' == $comment->comment_type) || ('pingback' == $comment->comment_type) ) {
              echo gravatar($comment->comment_author_url);
            }
            echo "' class='gravatar' width='40' height='40' alt='$comment->comment_author'/></a>";
          } ?>
      
          <?php edit_comment_link('<img class="editLink" alt="'.__('Edit Link','dkret').'" src="'.get_bloginfo(template_directory).'/images/pencil.gif" />','<span class="editlink" title="'.__('edit comment','dkret').'">','</span>'); ?>
      
      		<h2><?php comment_author_link() ?></h2>
      		<span class="info"><a href="#comment-<?php comment_ID() ?>" title="#comment-<?php comment_ID() ?>"><?php comment_date('j. F Y') ?> | <?php comment_time('H:i') ?> <?php _e('h','dkret'); ?></a></span>
      
      		<!--commenttext-->
      		<?php comment_text() ?>
      
      		<!--if comment is beeing approved-->
      		<?php if ($comment->comment_approved == '0') : ?>
      			<p class="alert"><?php _e('Attention: Comment is being approved.','dkret'); ?></p>
      		<?php endif; ?>
      
      		</li>
      
        	<?php /* Changes every other comment to a different class */	
        	 if ('alt_thecommentlist' == $oddcomment) $oddcomment = '';
        	 else $oddcomment = 'alt_thecommentlist';
        	?>
      
      	<?php endforeach; /* end for each comment */ ?>
  
  <?php } ?>
  
  </ol>
</div>

<?php if ('open' == $post->comment_status) : ?>

<div class="comment_div">

  <h3 id="respond"><?php _e('Write a Comment','dkret'); ?></h3>
  
  <?php if ( get_option('comment_registration') && !$user_ID ) : ?>
      <p id="comment"><?php _e('Please','dkret'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('login','dkret'); ?></a> <?php _e('to comment.','dkret'); ?></p>
  <?php else : ?>
  
  <?php if (bm_getProperty( 'ajaxcomments' ) == 0) { ?>
  <form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" onsubmit="new Ajax.Updater({success: 'commentlist'}, '<?php bloginfo('stylesheet_directory') ?>/comments-ajax.php', {asynchronous: true, evalScripts: true, insertion: Insertion.Bottom, onComplete: function(request){complete(request)}, onFailure: function(request){failure(request)}, onLoading: function(request){loading()}, parameters: Form.serialize(this)}); return false;">
  <?php } else { ?>
  <form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">
  <?php } ?>
  
  <?php if ( $user_ID ) : ?>
  
  <p><?php _e('Logged in as:','dkret'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> | <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout"><?php _e('Logout','dkret'); ?></a></p>
  
  <?php else : ?>
  
  <p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="20" tabindex="1" />
    <label for="author"><small><?php _e('Name','dkret'); ?> <?php if ($req) _e('(required)','dkret'); ?></small></label></p>
    
    <p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="20" tabindex="2" />
    <label for="email"><small><?php _e('E-mail','dkret'); ?> <?php if ($req) _e('(required, not published)','dkret'); else _e('(not published)','dkret'); ?></small></label></p>
    
    <p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" tabindex="3" />
    <label for="url"><small><?php _e('Webseite (URL)','dkret'); ?></small></label></p>
  
  <?php endif; ?>
  
  <p><textarea name="comment" id="comment" cols="60" rows="10" tabindex="4"></textarea></p>
  
  <p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit!','dkret'); ?>" />
  <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
  </p>
  
  <div id="loding" style="display: none;"><?php _e('Posting your comment.','dkret'); ?></div>
  <div id="errors"></div>
      
    <?php do_action('comment_form', $post->ID); ?>
  
  </form>
  
  <?php endif; // If registration required and not logged in ?>

</div>

<?php endif; // if you delete this the sky will fall on your head ?>
